# Makefile generated by imake - do not edit!
# $XConsortium: imake.c /main/88 1995/12/08 16:33:13 gildea $

# ----------------------------------------------------------------------
# Makefile generated from "Imake.tmpl" and <Imakefile>
# $XConsortium: Imake.tmpl /main/r61_main/3 1996/02/02 18:57:32 gildea $
# $XFree86: xc/config/cf/Imake.tmpl,v 3.27 1996/09/14 13:05:02 dawes Exp $
#

.SUFFIXES: .i

# $XConsortium: Imake.cf /main/22 1995/12/05 16:39:53 mor $
# $XFree86: xc/config/cf/Imake.cf,v 3.28 1996/10/16 14:28:24 dawes Exp $

# -----------------------------------------------------------------------
# site-specific configuration parameters that need to come before
# the platform-specific parameters - edit site.def to change

# site:  $XConsortium: site.sample /main/19 1995/12/14 13:03:29 matt $
# site:  $XFree86: xc/config/cf/site.def,v 3.10 1996/01/07 09:57:49 dawes Exp $

# $XFree86: xc/config/cf/xf86site.def,v 3.91 1996/10/19 15:12:30 dawes Exp $

# ----------------------------------------------------------------------
# platform-specific configuration parameters - edit linux.cf to change

# platform:  $XConsortium: linux.cf,v 1.11 95/01/23 18:32:03 kaleb Exp $

# $XConsortium: lnxLib.rules /main/12 1996/01/03 14:51:18 kaleb $
# $XFree86: xc/config/cf/lnxLib.rules,v 3.24 1996/10/06 13:09:44 dawes Exp $

# $XFree86: xc/config/cf/xfree86.cf,v 3.117 1996/10/19 15:12:31 dawes Exp $

# $XConsortium: xfree86.cf /main/17 1996/01/03 14:50:55 kaleb $

LINKKITDIR = $(USRLIBDIR)/Server
XF98LINKKITDIR = $(USRLIBDIR)/Server

       XF86SRC = $(SERVERSRC)/hw/xfree86
  XF86ACCELSRC = $(XF86SRC)/accel
    XF86COMSRC = $(XF86SRC)/common
 XF86CONFIGSRC = $(XF86COMSRC)
     XF86HWSRC = $(XF86SRC)/common_hw
     XF86OSSRC = $(XF86SRC)/os-support
  VGADRIVERSRC = $(XF86SRC)/vga256/drivers
VGA16DRIVERSRC = $(XF86SRC)/vga16/drivers
 VGA2DRIVERSRC = $(XF86SRC)/vga2/drivers
 MONODRIVERSRC = $(XF86SRC)/mono/drivers
   S3DRIVERSRC = $(XF86SRC)/accel/s3/drivers
  S3VDRIVERSRC = $(XF86SRC)/accel/s3_virge/drivers

       XF68SRC = $(SERVERSRC)/hw/xfree68
    XF68COMSRC = $(XF68SRC)/common
 XF68CONFIGSRC = $(XF68COMSRC)
     XF68OSSRC = $(XF68SRC)/os-support

           XF98SRC = $(SERVERSRC)/hw/xfree98
      XF98ACCELSRC = $(XF98SRC)/accel
        XF98COMSRC = $(XF98SRC)/common
     XF98CONFIGSRC = $(XF98COMSRC)
         XF98HWSRC = $(XF98SRC)/common_hw/generic
      XF98HWNECSRC = $(XF98SRC)/common_hw/nec
    XF98HWPWSKBSRC = $(XF98SRC)/common_hw/pwskb
     XF98HWPWLBSRC = $(XF98SRC)/common_hw/pwlb
    XF98HWGA968SRC = $(XF98SRC)/common_hw/ga968
         XF98OSSRC = $(XF98SRC)/os-support
  XF98VGADRIVERSRC = $(XF98SRC)/vga256/drivers
XF98VGA16DRIVERSRC = $(XF98SRC)/vga16/drivers
 XF98VGA2DRIVERSRC = $(XF98SRC)/vga2/drivers
 XF98MONODRIVERSRC = $(XF98SRC)/mono/drivers
XF98NECS3DRIVERSRC = $(XF98SRC)/accel/s3nec/drivers
XF98PWSKBDRIVERSRC = $(XF98SRC)/accel/s3pwskb/drivers
 XF98PWLBDRIVERSRC = $(XF98SRC)/accel/s3pwlb/drivers
XF98GA968DRIVERSRC = $(XF98SRC)/accel/s3ga968/drivers

        XFREE86DOCDIR = $(LIBDIR)/doc
      XFREE86PSDOCDIR = $(XFREE86DOCDIR)/PostScript
    XFREE86HTMLDOCDIR = $(XFREE86DOCDIR)/html
XFREE86JAPANESEDOCDIR = $(XFREE86DOCDIR)/Japanese

# $XConsortium: xf86.rules,v 1.7 95/01/25 16:34:39 kaleb Exp $
# $XFree86: xc/config/cf/xf86.rules,v 3.15 1996/09/24 13:48:46 dawes Exp $

# ----------------------------------------------------------------------
# site-specific configuration parameters that go after
# the platform-specific parameters - edit site.def to change

# site:  $XConsortium: site.sample /main/19 1995/12/14 13:03:29 matt $
# site:  $XFree86: xc/config/cf/site.def,v 3.10 1996/01/07 09:57:49 dawes Exp $

# -----------------------------------------------------------------------
# Imake rules for building libraries, programs, scripts, and data files
# rules:  $XConsortium: Imake.rules,v 1.197 94/12/05 19:30:41 gildea Exp $
# rules:  $XFree86: xc/config/cf/Imake.rules,v 3.11 1995/01/14 10:39:25 dawes Exp $

 _NULLCMD_ = @ echo -n

          PATHSEP = /
            SHELL = /bin/sh

              TOP = .
      CURRENT_DIR = .

            IMAKE = imake
           DEPEND = gccmakedep
        MKDIRHIER = mkdirhier
        CONFIGSRC = $(TOP)/config
         IMAKESRC = $(CONFIGSRC)/imake
        DEPENDSRC = $(CONFIGSRC)/util

          INCROOT = /usr/X11R6/include
        USRLIBDIR = /usr/X11R6/lib
        VARLIBDIR = /var/lib
         SHLIBDIR = /usr/X11R6/lib
       LINTLIBDIR = $(USRLIBDIR)/lint
          MANPATH = /usr/X11R6/man
    MANSOURCEPATH = $(MANPATH)/man
           MANDIR = $(MANSOURCEPATH)1
        LIBMANDIR = $(MANSOURCEPATH)3
       FILEMANDIR = $(MANSOURCEPATH)5

               AR = ar clq
  BOOTSTRAPCFLAGS =
               CC = gcc
               AS = as

.SUFFIXES: .cxx

              CXX = g++
    CXXDEBUGFLAGS = -O2 -m486
 CXXEXTRA_DEFINES =
CXXEXTRA_INCLUDES =
   CXXSTD_DEFINES = -Dlinux -D__i386__ -D_POSIX_SOURCE -D_BSD_SOURCE -D_GNU_SOURCE -DX_LOCALE
       CXXOPTIONS =
      CXXINCLUDES = $(INCLUDES) $(TOP_INCLUDES) $(CXXEXTRA_INCLUDES)
       CXXDEFINES = $(CXXINCLUDES) $(CXXSTD_DEFINES) $(THREADS_CXXDEFINES) $(CXXEXTRA_DEFINES)
         CXXFLAGS = $(CXXDEBUGFLAGS) $(CXXOPTIONS) $(THREADS_CXXFLAGS) $(CXXDEFINES)

         COMPRESS = compress
              CPP = /lib/cpp $(STD_CPP_DEFINES)
    PREPROCESSCMD = gcc -E $(STD_CPP_DEFINES)
          INSTALL = install
     INSTALLFLAGS = -c
               LD = ld
              LEX = flex -l
           LEXLIB = -lfl
             YACC = bison -y
           CCYACC = bison -y
             LINT = lint
      LINTLIBFLAG = -C
         LINTOPTS = -axz
               LN = ln -s
             MAKE = make
               MV = mv -f
               CP = cp

           RANLIB = ranlib
  RANLIBINSTFLAGS =

               RM = rm -f
        MANSUFFIX = 1x
     LIBMANSUFFIX = 3x
    FILEMANSUFFIX = 5x
            TROFF = psroff
            NROFF = nroff
         MSMACROS = -ms
        MANMACROS = -man
              TBL = tbl
              EQN = eqn
             NEQN = neqn
              COL = col

            DVIPS = dvips
            LATEX = latex

     STD_INCLUDES =
  STD_CPP_DEFINES = -traditional -Dlinux -D__i386__ -D_POSIX_SOURCE -D_BSD_SOURCE -D_GNU_SOURCE -DX_LOCALE
      STD_DEFINES = -Dlinux -D__i386__ -D_POSIX_SOURCE -D_BSD_SOURCE -D_GNU_SOURCE -DX_LOCALE
 EXTRA_LOAD_FLAGS =
  EXTRA_LDOPTIONS =
  EXTRA_LIBRARIES =
             TAGS = ctags

    SHAREDCODEDEF =
         SHLIBDEF =

     SHLIBLDFLAGS =

         PICFLAGS = -B/usr/bin/jump

      CXXPICFLAGS = -B/usr/bin/jump

    PROTO_DEFINES = -DFUNCPROTO=15 -DNARROWPROTO

     INSTPGMFLAGS = -s

     INSTBINFLAGS = -m 0755
     INSTUIDFLAGS = -s -m 4755
     INSTLIBFLAGS = -m 0644
     INSTINCFLAGS = -m 0444
     INSTMANFLAGS = -m 0444
     INSTDATFLAGS = -m 0444
    INSTKMEMFLAGS = -s -m 4755

      PROJECTROOT = /usr/X11R6

     TOP_INCLUDES = -I$(INCROOT)

      CDEBUGFLAGS = -O2 -m486
        CCOPTIONS =

      ALLINCLUDES = $(INCLUDES) $(EXTRA_INCLUDES) $(TOP_INCLUDES) $(STD_INCLUDES)
       ALLDEFINES = $(ALLINCLUDES) $(STD_DEFINES) $(EXTRA_DEFINES) $(PROTO_DEFINES) $(THREADS_DEFINES) $(DEFINES)
           CFLAGS = $(CDEBUGFLAGS) $(CCOPTIONS) $(THREADS_CFLAGS) $(ALLDEFINES)
        LINTFLAGS = $(LINTOPTS) -DLINT $(ALLDEFINES) $(DEPEND_DEFINES)
         LDPRELIB = -L$(USRLIBDIR)
        LDPOSTLIB =
        LDOPTIONS = $(CDEBUGFLAGS) $(CCOPTIONS)  $(EXTRA_LDOPTIONS) $(THREADS_LDFLAGS) $(LOCAL_LDFLAGS) $(LDPRELIB)
     CXXLDOPTIONS = $(CXXDEBUGFLAGS) $(CXXOPTIONS) $(EXTRA_LDOPTIONS) $(THREADS_CXXLDFLAGS) $(LOCAL_LDFLAGS) $(LDPRELIB)

           LDLIBS = $(LDPOSTLIB) $(THREADS_LIBS) $(SYS_LIBRARIES) $(EXTRA_LIBRARIES)

           CCLINK = $(CC)

          CXXLINK = $(CXX)

     LDSTRIPFLAGS = -x
   LDCOMBINEFLAGS = -r
      DEPENDFLAGS =

# Not sure this belongs here
         TKLIBDIR = /usr/local/lib
         TKINCDIR = /usr/local/include
        TKLIBNAME = tk4.2
        TKLIBRARY = -ltk4.2
        TCLLIBDIR = /usr/local/lib
        TCLINCDIR = /usr/local/include
       TCLLIBNAME = tcl7.6
       TCLLIBRARY = -ltcl7.6

        MACROFILE = linux.cf
           RM_CMD = $(RM)

    IMAKE_DEFINES =

         IRULESRC = $(CONFIGDIR)
        IMAKE_CMD = $(IMAKE) -DUseInstalled -I$(IRULESRC) $(IMAKE_DEFINES)

     ICONFIGFILES = $(IRULESRC)/Imake.tmpl $(IRULESRC)/Project.tmpl 			$(IRULESRC)/site.def $(IRULESRC)/$(MACROFILE) 			$(IRULESRC)/xfree86.cf $(IRULESRC)/xf86.rules $(IRULESRC)/xf86site.def $(IRULESRC)/host.def $(EXTRA_ICONFIGFILES)

#   $RCSfile: Motif.rules,v $ $Revision: 1.2 $ $Date: 1994/12/28 23:33:47 $

# ----------------------------------------------------------------------
# X Window System Build Parameters and Rules
# $XConsortium: Project.tmpl,v 1.248 95/01/06 19:12:51 gildea Exp $
# $XFree86: xc/config/cf/Project.tmpl,v 3.12 1995/01/25 10:42:48 dawes Exp $

#
#	#ifndef BuildExtraExtensionLibrary
#
#	#if 1
#	#define BuildExtraExtensionLibrary 1
#	#else
#	#define BuildExtraExtensionLibrary 0
#	#endif
#	#endif
#

# -----------------------------------------------------------------------
# X Window System make variables; these need to be coordinated with rules

           BINDIR = /usr/X11R6/bin
     BUILDINCROOT = $(TOP)
      BUILDINCDIR = $(BUILDINCROOT)/X11
      BUILDINCTOP = ..
      BUILDLIBDIR = $(TOP)/usrlib
      BUILDLIBTOP = ..
           INCDIR = $(INCROOT)/X11
           ADMDIR = /usr/adm
           LIBDIR = $(USRLIBDIR)/X11

          FONTDIR = $(LIBDIR)/fonts
         XINITDIR = $(LIBDIR)/xinit
           XDMDIR = $(LIBDIR)/xdm
           TWMDIR = $(LIBDIR)/twm
           XSMDIR = $(LIBDIR)/xsm
           NLSDIR = $(LIBDIR)/nls
       XLOCALEDIR = $(LIBDIR)/locale
        PEXAPIDIR = $(LIBDIR)/PEX
      XAPPLOADDIR = $(LIBDIR)/app-defaults
       FONTCFLAGS = -t

     INSTAPPFLAGS = $(INSTDATFLAGS)

              RGB = rgb
            FONTC = bdftopcf
        MKFONTDIR = mkfontdir

       DOCUTILSRC = $(TOP)/doc/util
        CLIENTSRC = $(TOP)/clients
          DEMOSRC = $(TOP)/demos
       XDOCMACROS = $(DOCUTILSRC)/macros.t
       XIDXMACROS = $(DOCUTILSRC)/indexmacros.t
       PROGRAMSRC = $(TOP)/programs
           LIBSRC = $(TOP)/lib
          FONTSRC = $(TOP)/fonts
       INCLUDESRC = $(TOP)/X11
        SERVERSRC = $(TOP)/programs/Xserver
       CONTRIBSRC = $(TOP)/../contrib
   UNSUPPORTEDSRC = $(TOP)/unsupported
           DOCSRC = $(TOP)/doc
           RGBSRC = $(TOP)/programs/rgb
      BDFTOPCFSRC = $(PROGRAMSRC)/bdftopcf
     MKFONTDIRSRC = $(PROGRAMSRC)/mkfontdir
    FONTSERVERSRC = $(PROGRAMSRC)/xfs
       FONTINCSRC = $(TOP)/include/fonts
        EXTINCSRC = $(TOP)/include/extensions
     TRANSCOMMSRC = $(LIBSRC)/xtrans
   TRANS_INCLUDES = -I$(TRANSCOMMSRC)

# $XConsortium: lnxLib.tmpl,v 1.5 95/01/11 21:44:44 kaleb Exp $
# $XFree86: xc/config/cf/lnxLib.tmpl,v 3.9 1996/02/24 04:32:52 dawes Exp $

          XLIBSRC = $(LIBSRC)/X11

SOXLIBREV = 6.0
DEPXONLYLIB =
XONLYLIB =  -lX11

LINTXONLY = $(LINTLIBDIR)/llib-lX11.ln

         XLIBONLY = $(XONLYLIB)

      XEXTLIBSRC = $(LIBSRC)/Xext
   LBXXEXTLIBSRC = $(TOP)/workInProgress/lbx/lib/Xext

SOXEXTREV = 6.0
DEPXEXTLIB =
XEXTLIB =  -lXext

LINTXEXT = $(LINTLIBDIR)/llib-lXext.ln

SOXEXTREV = 6.0
DEPLBXXEXTLIB =
LBXXEXTLIB =  -llbxXext

LINTLBXXEXT = $(LINTLIBDIR)/llib-llbxXext.ln

     EXTENSIONLIB = $(XEXEXTLIB) $(XEXTLIB)
  DEPEXTENSIONLIB = $(DEPXEXEXTLIB) $(DEPXEXTLIB)
    LINTEXTENSION = $(LINTXEXEXT) $(LINTXEXT)

 LINTEXTENSIONLIB = $(LINTEXTENSION)
          DEPXLIB = $(DEPEXTENSIONLIB) $(DEPXONLYLIB)
             XLIB = $(EXTENSIONLIB) $(XONLYLIB)
         LINTXLIB = $(LINTXONLYLIB)

         XAUTHSRC = $(LIBSRC)/Xau

DEPXAUTHLIB = $(USRLIBDIR)/libXau.a
XAUTHLIB =  -lXau

LINTXAUTH = $(LINTLIBDIR)/llib-lXau.ln

      XDMCPLIBSRC = $(LIBSRC)/Xdmcp

DEPXDMCPLIB = $(USRLIBDIR)/libXdmcp.a
XDMCPLIB =  -lXdmcp

LINTXDMCP = $(LINTLIBDIR)/llib-lXdmcp.ln

           XMUSRC = $(LIBSRC)/Xmu

SOXMUREV = 6.0
DEPXMULIB =
XMULIB =  -lXmu

LINTXMU = $(LINTLIBDIR)/llib-lXmu.ln

       OLDXLIBSRC = $(LIBSRC)/oldX

DEPOLDXLIB = $(USRLIBDIR)/liboldX.a
OLDXLIB =  -loldX

LINTOLDX = $(LINTLIBDIR)/llib-loldX.ln

       TOOLKITSRC = $(LIBSRC)/Xt

SOXTREV = 6.0
DEPXTOOLONLYLIB =
XTOOLONLYLIB =  -lXt

LINTXTOOLONLY = $(LINTLIBDIR)/llib-lXt.ln

      DEPXTOOLLIB = $(DEPXTOOLONLYLIB) $(DEPSMLIB) $(DEPICELIB)
         XTOOLLIB = $(XTOOLONLYLIB) $(SMLIB) $(ICELIB)
     LINTXTOOLLIB = $(LINTXTOOLONLYLIB)

       AWIDGETSRC = $(LIBSRC)/Xaw

SOXAWREV = 6.0
DEPXAWLIB =
XAWLIB =  -lXaw

LINTXAW = $(LINTLIBDIR)/llib-lXaw.ln

       XTFSRC = $(TOP)/workInProgress/Xtf

SOXTFREV = 0.7
DEPXTFLIB =
XTFLIB =  -lXtf

LINTXTF = $(LINTLIBDIR)/llib-lXtf.ln

       FRESCOSRC = $(TOP)/workInProgress/Fresco

SOFRESCOREV = 0.7
DEPFRESCOLIB =
FRESCOLIB =  -lFresco

LINTFRESCO = $(LINTLIBDIR)/llib-lFresco.ln

         XILIBSRC = $(LIBSRC)/Xi

SOXINPUTREV = 6.0
DEPXILIB =
XILIB =  -lXi

LINTXI = $(LINTLIBDIR)/llib-lXi.ln

      XTESTLIBSRC = $(LIBSRC)/Xtst

SOXTESTREV = 6.0
DEPXTESTLIB =
XTESTLIB =  -lXtst

LINTXTEST = $(LINTLIBDIR)/llib-lXtst.ln

        PEXLIBSRC = $(LIBSRC)/PEX5

SOPEXREV = 6.0
DEPPEXLIB =
PEXLIB =  -lPEX5

LINTPEX = $(LINTLIBDIR)/llib-lPEX5.ln

        XIELIBSRC = $(LIBSRC)/XIE

SOXIEREV = 6.0
DEPXIELIB =
XIELIB =  -lXIE

LINTXIE = $(LINTLIBDIR)/llib-lXIE.ln

      PHIGSLIBSRC = $(LIBSRC)/PHIGS

DEPPHIGSLIB = $(USRLIBDIR)/libphigs.a
PHIGSLIB =  -lphigs

LINTPHIGS = $(LINTLIBDIR)/llib-lphigs.ln

DEPXBSDLIB = $(USRLIBDIR)/libXbsd.a
XBSDLIB =  -lXbsd

LINTXBSD = $(LINTLIBDIR)/llib-lXbsd.ln

           ICESRC = $(LIBSRC)/ICE

SOICEREV = 6.0
DEPICELIB =
ICELIB =  -lICE

LINTICE = $(LINTLIBDIR)/llib-lICE.ln

            SMSRC = $(LIBSRC)/SM

SOSMREV = 6.0
DEPSMLIB =
SMLIB =  -lSM

LINTSM = $(LINTLIBDIR)/llib-lSM.ln

         FSLIBSRC = $(LIBSRC)/FS

DEPFSLIB = $(USRLIBDIR)/libFS.a
FSLIB =  -lFS

LINTFS = $(LINTLIBDIR)/llib-lFS.ln

         FONTLIBSRC = $(LIBSRC)/font

DEPFONTLIB = $(USRLIBDIR)/libfont.a
FONTLIB =  -lfont

LINTFONT = $(LINTLIBDIR)/llib-lfont.ln

          XPMLIBSRC = $(LIBSRC)/Xpm

DEPXPMLIB = $(USRLIBDIR)/libXpm.a
XPMLIB =  -lXpm

LINTXPM = $(LINTLIBDIR)/llib-lXpm.ln

          DEPLIBS = $(DEPXAWLIB) $(DEPXMULIB) $(DEPXTOOLLIB) $(DEPXLIB)

         DEPLIBS1 = $(DEPLIBS)
         DEPLIBS2 = $(DEPLIBS)
         DEPLIBS3 = $(DEPLIBS)

              XTOP = $(TOP)
              MTOP = $(TOP)
     XBUILDINCROOT = $(XTOP)
      XBUILDINCDIR = $(XBUILDINCROOT)/X11

         IMAKE_CMD = $(IMAKE) -DUseInstalled -DUseInstalledMotif -I$(IRULESRC) $(IMAKE_DEFINES)

         CLIENTSRC = $(XTOP)/clients
           DEMOSRC = $(XTOP)/demos
            LIBSRC = $(XTOP)/lib
           FONTSRC = $(XTOP)/fonts
        INCLUDESRC = $(XTOP)/X11
         SERVERSRC = $(XTOP)/server
           UTILSRC = $(XTOP)/util
        EXAMPLESRC = $(XTOP)/examples
            DOCSRC = $(XTOP)/doc
            RGBSRC = $(XTOP)/rgb
      EXTENSIONSRC = $(XTOP)/extensions

      TOP_INCLUDES = -I$(INCROOT)

      UIL_INCLUDES = -I$(USRINCDIR)/uil

     XPM_DEFINES =

     XPM_TOP = $(PROJECTROOT)

     XPM_INCLUDES	= -I$(XPM_TOP)/include/X11

     XPM_LIBS           = $(XPMLIB)

      USRINCDIR = /usr/X11R6/include
         UIDDIR = $(LIBDIR)/uid
        TESTSRC = $(MTOP)/tests
        TESTLIB = $(TESTSRC)/lib
  GENERALSRCLIB = $(TESTSRC)/General/lib
  GENERALSRCBIN = $(TESTSRC)/General/bin
   MANUALSRCLIB = $(TESTSRC)/Manual/lib
   MANUALSRCBIN = $(TESTSRC)/Manual/bin
     AUTOSRCLIB = $(TESTSRC)/Auto/lib
     AUTOSRCBIN = $(TESTSRC)/Auto/bin
       COMMONPP = $(GENERALSRCBIN)/Commonpp
         GENRUN = $(GENERALSRCBIN)/Genrun
         MANRUN = $(GENERALSRCBIN)/Manrun

     TESTCOMSRC = $(MANUALSRCLIB)/Common

    MTOOLKITSRC = $(TOOLKITSRC)
    MINCLUDESRC = $(MTOP)/X11
        MLIBSRC = $(MTOP)/lib
     MCLIENTSRC = $(MTOP)/clients
       MDEMOSRC = $(MTOP)/demos
     MWIDGETSRC = $(MLIBSRC)/Xm
   MRESOURCESRC = $(MLIBSRC)/Mrm
         UILSRC = $(MCLIENTSRC)/uil

            UIL = uil
         DEPUIL = $(BINDIR)/uil

   XMEXTRA_LIBS =

SOXMREV = 1.2
DEPXMONLYLIB =
XMONLYLIB =  -lXm

LINTXMONLY = $(LINTLIBDIR)/llib-lXm.ln

   XMLIBONLY = $(XMONLYLIB)
   XMLIB = $(XMLIBONLY) $(XPM_LIBS)

   DEPXMLIB = $(DEPXMONLYLIB) $(DEPXPMLIB)

SOMRMREV = 1.2
DEPMRESOURCELIB =
MRESOURCELIB =  -lMrm

LINTMRESOURCE = $(LINTLIBDIR)/llib-lMrm.ln

SOUILREV = 1.2
DEPUILLIB =
UILLIB =  -lUil

LINTUIL = $(LINTLIBDIR)/llib-lUil.ln

SOMCOMMONREV = 1.2
DEPTESTCOMLIB =
TESTCOMLIB =  -lCommon

LINTTESTCOM = $(LINTLIBDIR)/llib-lCommon.ln

TESTUILCOMLIB = $(TESTCOMSRC)/libCommonUil.a

  LINTMRESOURCE = $(MRESOURCESRC)/libMrm.a
LINTXMWIDGETLIB = $(MWIDGETSRC)/llib-l/Xm.ln
     LINTXMTOOL = $(MTOOLKITSRC)/llib-lXt.ln
     LINTUILLIB = $(UILSRC)/llib-lUil.ln

      YACCFLAGS =
       UILFLAGS =

         RM_CMD = $(RM) *.CKP *.ln *.BAK *.bak *.o core errs ,* *~ *.a .emacs_* tags TAGS make.log MakeOut  *.Dat

    STD_DEFINES = -Dlinux -D__i386__ -D_POSIX_SOURCE -D_BSD_SOURCE -D_GNU_SOURCE -DX_LOCALE  -DNO_MESSAGE_CATALOG

        DEPLIBS = $(DEPXMLIB) $(DEPXTOOLLIB) $(DEPXLIB)

        DEPLIBS1 = $(DEPLIBS)
        DEPLIBS2 = $(DEPLIBS)
        DEPLIBS3 = $(DEPLIBS)

XMULIB = -lXmu $(XLIB)

        CONFIGDIR = $(LIBDIR)/config

# ----------------------------------------------------------------------
# start of Imakefile

               CCOPTIONS =

                    CC = gcc

           CDEBUGFLAGS = -funroll-loops -finline-functions -ffast-math -fforce-mem -fomit-frame-pointer -Wall -O2

            MP_LIB = -L../gmp-1.3.2 -lgmp -lmp
            MP_INCLUDE = -I../gmp-1.3.2

        RSA_BOX_SRCS =  rsa_box_0.c rsa_box_1.c rsa_box_2.c 			rsa_box_3.c rsa_box_4.c

        RSA_BOX_OBJS =  rsa_box_0.o rsa_box_1.o rsa_box_2.o 			rsa_box_3.o rsa_box_4.o

NETREK_BIN =

        ALLDEFINES = $(ALLINCLUDES) $(STD_DEFINES) $(EXTRA_DEFINES) $(PROTO_DEFINES) $(DEFINES) $(SPECIAL_DEFINES)
       ALLINCLUDES = $(INCLUDES) $(EXTRA_INCLUDES) $(TOP_INCLUDES) $(STD_INCLUDES)
         MKDIRHIER = $(BINDIR)/mkdirhier

RSA=-DRSA

NETSTAT=-DNETSTAT

ROTATERACE=-DROTATERACE

MOOBITMAPS=-DMOOBITMAPS

MOOTCURSORS=-DMOOTCURSORS

TTS=-DTTS

AUTOLOGIN=-DAUTOLOGIN

HOCKEY=-DHOCKEY

PHASER_SHRINK=-DPHASER_SHRINK

META = -DMETA

FORKNETREK = -DFORKNETREK

FEATURE=-DFEATURE -DDIST_KEY_NAME

CONTROL_KEY=-DCONTROL_KEY

MULTILINE_MACROS=-DMULTILINE_MACROS

SETTCPNODELAY=-DSETTCPNODELAY

LOGMESG=-DLOGMESG

RECORD=-DRECORD

RECORD=-DRECORD
RECORD_DEBUG=-DRECORD_DEBUG

NBT=-DNBT

GALAXY=-DGALAXY

TCURSORS=-DTCURSORS

GODMESSAGE=-DGODMESSAGE

EM=-DEM

NO_TRAP=-DNO_TRAP

SHORT_PACKETS=-DSHORT_PACKETS

PING=-DPING

CORRUPTED_PACKETS=-DCORRUPTED_PACKETS

NO_SPRINTF=-DNO_SPRINTF

DROPFIX=-DDROP_FIX

EXTRA_DEFINES = $(RSA) $(NETSTAT) $(ROTATERACE) $(DEBUG) $(FOR_MORONS)  $(MOOBITMAPS) $(MOOTCURSORS) $(AUTOLOGIN) $(DYNAMIC_BITMAPS)  $(TTS) $(GATEWAY) $(TREKHOPD) $(FEATURE) $(CONTROL_KEY)  $(MULTILINE_MACROS) $(NEEDRANDOM) $(HOCKEY) $(PHASER_SHRINK) $(META) $(FORKNETREK) $(SETTCPNODELAY) $(XTRA) $(XSIG) $(UCI) $(PACKET_LOG)  $(XTREKRC_HELP) $(LOGMESG) $(RECORD) $(NBT) $(NBTDIST) $(GALAXY) $(TCURSORS)  $(GODMESSAGE) $(EM) $(NO_TRAP) $(SHORT_PACKETS) $(PING) $(CORRUPTED_PACKETS)  $(NO_SPRINTF) $(USE_PORTSWAP) $(BD) $(SPTEST) $(SHOWDEFAULTS) $(FONTBITMAPS)  $(DROPFIX) $(MYADDR) $(MYADDRMASK)

          TARGET = netrek

   SYS_LIBRARIES = -L/usr/lib/X11 -L/usr/X11/lib -lX11 $(MP_LIB) $(EXTRA_LIBS) -lm
  EXTRA_INCLUDES = -I. -I./bitmaps $(MP_INCLUDE) $(EXTRA_INCS)

STD_HEADERS = Wlib.h bitmapstuff.h copyright.h copyright2.h data.h defs.h 	      packets.h version.h struct.h netrek.h

WTEXT = wtext.h

      HEADERS = $(STD_HEADERS) $(WTEXT)

RSA_SRCS = rsa_box.c $(RSA_BOX_SRCS)
RSA_OBJS = rsa_box.o $(RSA_BOX_OBJS)

FEATURE_SRCS = feature.c feature_old.c macrowin.c distsend.c distress.c
FEATURE_OBJS = feature.o feature_old.o macrowin.o distsend.o distress.o

DASHBOARD_SRCS = brmh-dashboard.c cow-dashboard.c text-dashboard.c
DASHBOARD_OBJS = brmh-dashboard.o cow-dashboard.o text-dashboard.o

SP_SRCS = spwarning.c
SP_OBJS = spwarning.o

NETSTAT_SRCS = netstat.c lagmeter.c
NETSTAT_OBJS = netstat.o lagmeter.o

META_SRCS = metaserver.c
META_OBJS = metaserver.o

RECORD_SRCS = recorder.c
RECORD_OBJS = recorder.o

SRCS = colors.c data.c death.c defaults.c defwin.c detonate.c dmessage.c        enter.c entrywin.c findslot.c getdefaults.c getname.c        getship.c helpwin.c inform.c input.c interface.c        main.c mkdefault.c motdwin.c newwin.c option.c ping.c pingstats.c        planetlist.c planets.c playerlist.c ranklist.c redraw.c reserved.c        rotate.c sintab.c smessage.c socket.c stats.c udpopt.c util.c war.c        warning.c x11window.c $(NETSTAT_SRCS) $(DYN_SRCS) $(BD_SRCS)        $(SPTEST_SRCS) $(RSA_SRCS) $(RAND_SRCS) $(RINT_SRCS) $(FEATURE_SRCS)        $(SP_SRCS) $(DASHBOARD_SRCS) $(FONTBITMAP_SRCS) $(META_SRCS)        $(RECORD_SRCS)

OBJS = colors.o data.o death.o defaults.o defwin.o detonate.o dmessage.o        enter.o entrywin.o findslot.o getdefaults.o getname.o        getship.o helpwin.o inform.o input.o interface.o        main.o mkdefault.o motdwin.o newwin.o option.o ping.o pingstats.o        planetlist.o planets.o playerlist.o ranklist.o redraw.o reserved.o        rotate.o sintab.o smessage.o socket.o stats.o udpopt.o util.o war.o        warning.o x11window.o $(NETSTAT_OBJS) $(RAND_OBJS) $(RINT_OBJS)        $(DYN_OBJS) $(BD_OBJS) $(SPTEST_OBJS) $(RSA_OBJS) $(FEATURE_OBJS)        $(SP_OBJS) $(DASHBOARD_OBJS) $(FONTBITMAP_OBJS) $(META_OBJS)        $(RECORD_OBJS)

all:: randomize

randomize: randomize.o $(RAND_OBJS)
	$(RM) $@
	$(CCLINK) -o $@ $(LDOPTIONS) randomize.o $(RAND_OBJS)  $(LDLIBS)  $(EXTRA_LOAD_FLAGS)

clean::
	$(RM) randomize

all:: $(TARGET)

$(TARGET):$(P) $(OBJS)  ./randomize
	$(RM) $@
	$(CC) -o $@ `./randomize $(OBJS)` $(LDOPTIONS)  $(LDLIBS)  $(EXTRA_LOA D_FLAGS)

clean::
	$(RM) $(TARGET)

install:: $(TARGET)
	@if [ -d $(DESTDIR)$(NETREK_BIN) ]; then set +x; \
	else (set -x; $(MKDIRHIER) $(DESTDIR)$(NETREK_BIN)); fi
	$(INSTALL) $(INSTALLFLAGS) $(INSTPGMFLAGS)  $(TARGET) $(DESTDIR)$(NETREK_BIN)/$(TARGET)

depend::
	$(DEPEND) $(DEPENDFLAGS) -- $(ALLDEFINES) $(DEPEND_DEFINES) -- $(SRCS)

mkkey: mkkey.o $(RAND_OBJS)
	$(RM) $@
	$(CCLINK) -o $@ $(LDOPTIONS) mkkey.o $(RAND_OBJS)  $(LDLIBS)  $(EXTRA_LOAD_FLAGS)

clean::
	$(RM) mkkey

netrektest: BIG.o
	$(RM) $@
	$(CCLINK) -o $@ $(LDOPTIONS) BIG.o  $(LDLIBS)  $(EXTRA_LOAD_FLAGS)

clean::
	$(RM) netrektest

BIG.c: protos.h
	$(RM) allincludes.h
	grep -h "^#include" $(SRCS) > allincludes.h
	cat allincludes.h protos.h $(SRCS) > BIG
	mv BIG BIG.c

protos.h:
	$(RM) protos.h
	cproto -e -f3 -m -D__STDC__ -D_NO_DEPEND -DCPROTO $(EXTRA_DEFINES) $(ALLINCLUDES) $(SRCS) > protos.h

World ::
	$(MAKE) $(MFLAGS) depend
	$(MAKE) $(MFLAGS) all

netrek.dec:
	$(RM) netrek
	purify $(CC) $(CFLAGS) -o netrek `./randomize $(SRCS)` $(LDOPTIONS) 		$(LDLIBS) $(EXTRA_LOAD_FLAGS)

xdebug_packets: xdebug_packets.o
	$(RM) $@
	$(CCLINK) -o $@ $(LDOPTIONS) xdebug_packets.o $(XAWLIB) $(XMULIB) $(XTOOLLIB) $(XLIB) $(LDLIBS) -lm $(EXTRA_LOAD_FLAGS)

clean::
	$(RM) xdebug_packets

protos::
	$(RM) protos.h
	cproto -e -f3 -m -D__STDC__ -D_NO_DEPEND -DCPROTO $(EXTRA_DEFINES) $(ALLINCLUDES)  $(SRCS) > protos.h

proto-%:
	cproto -p -m -s -f3 -D__STDC__ -D_NO_DEPEND -DCPROTO $(EXTRA_DEFINES) $(ALLINCLUDES) $* | grep static

# ----------------------------------------------------------------------
# common rules for all Makefiles - do not edit

.c.i:
	$(RM) $@
	$(CC) -E $(CFLAGS) $(_NOOP_) $*.c > $@

emptyrule::

clean::
	$(RM_CMD) *.CKP *.ln *.BAK *.bak *.o core errs ,* *~ *.a .emacs_* tags TAGS make.log MakeOut  "#"*

Makefile::
	-@if [ -f Makefile ]; then set -x; \
	$(RM) Makefile.bak; $(MV) Makefile Makefile.bak; \
	else exit 0; fi
	$(IMAKE_CMD) -DTOPDIR=$(TOP) -DCURDIR=$(CURRENT_DIR)

tags::
	$(TAGS) -w *.[ch]
	$(TAGS) -xw *.[ch] > TAGS

# ManKeywordsTarget($(MANPATH))

# ----------------------------------------------------------------------
# empty rules for directories that do not have SUBDIRS - do not edit

install::
	@echo "install in $(CURRENT_DIR) done"

install.man::
	@echo "install.man in $(CURRENT_DIR) done"

install.linkkit::
	@echo "install.linkkit in $(CURRENT_DIR) done"

Makefiles::

includes::

depend::

# ----------------------------------------------------------------------
# dependencies generated by makedepend
# IncludeMakefile(Makefile.dep)

# DO NOT DELETE
colors.o: colors.c copyright2.h /usr/include/stdio.h \
 /usr/include/features.h /usr/include/sys/cdefs.h /usr/include/libio.h \
 /usr/include/_G_config.h /usr/include/string.h \
 /usr/lib/gcc-lib/i386-linux/2.7.2.1/include/stddef.h netrek.h \
 /usr/include/stdlib.h /usr/include/errno.h /usr/include/linux/errno.h \
 /usr/include/asm/errno.h /usr/include/alloca.h version.h Wlib.h \
 defs.h copyright.h /usr/include/sys/types.h \
 /usr/include/linux/types.h /usr/include/linux/posix_types.h \
 /usr/include/asm/posix_types.h /usr/include/asm/types.h \
 /usr/include/sys/bitypes.h struct.h data.h packets.h distress.h \
 protos.h
data.o: data.c copyright.h /usr/include/stdio.h \
 /usr/include/features.h /usr/include/sys/cdefs.h /usr/include/libio.h \
 /usr/include/_G_config.h /usr/include/sys/types.h \
 /usr/include/linux/types.h /usr/include/linux/posix_types.h \
 /usr/include/asm/posix_types.h /usr/include/asm/types.h \
 /usr/include/sys/bitypes.h netrek.h /usr/include/stdlib.h \
 /usr/lib/gcc-lib/i386-linux/2.7.2.1/include/stddef.h \
 /usr/include/errno.h /usr/include/linux/errno.h \
 /usr/include/asm/errno.h /usr/include/alloca.h version.h Wlib.h \
 copyright2.h defs.h struct.h data.h packets.h distress.h protos.h
death.o: death.c copyright.h /usr/include/stdio.h \
 /usr/include/features.h /usr/include/sys/cdefs.h /usr/include/libio.h \
 /usr/include/_G_config.h /usr/include/signal.h \
 /usr/include/sys/types.h /usr/include/linux/types.h \
 /usr/include/linux/posix_types.h /usr/include/asm/posix_types.h \
 /usr/include/asm/types.h /usr/include/sys/bitypes.h \
 /usr/include/linux/signal.h /usr/include/asm/signal.h \
 /usr/include/setjmp.h /usr/include/jmp_buf.h \
 /usr/include/i386/jmp_buf.h /usr/include/sys/time.h \
 /usr/include/linux/time.h /usr/include/time.h netrek.h \
 /usr/include/stdlib.h \
 /usr/lib/gcc-lib/i386-linux/2.7.2.1/include/stddef.h \
 /usr/include/errno.h /usr/include/linux/errno.h \
 /usr/include/asm/errno.h /usr/include/alloca.h version.h Wlib.h \
 copyright2.h defs.h struct.h data.h packets.h distress.h protos.h
defaults.o: defaults.c copyright2.h /usr/include/stdio.h \
 /usr/include/features.h /usr/include/sys/cdefs.h /usr/include/libio.h \
 /usr/include/_G_config.h /usr/include/unistd.h \
 /usr/include/posix_opt.h /usr/include/gnu/types.h \
 /usr/lib/gcc-lib/i386-linux/2.7.2.1/include/stddef.h \
 /usr/include/confname.h /usr/include/sys/types.h \
 /usr/include/linux/types.h /usr/include/linux/posix_types.h \
 /usr/include/asm/posix_types.h /usr/include/asm/types.h \
 /usr/include/sys/bitypes.h /usr/include/string.h /usr/include/ctype.h \
 /usr/include/endian.h /usr/include/bytesex.h /usr/include/sys/file.h \
 /usr/include/fcntl.h /usr/include/linux/fcntl.h \
 /usr/include/asm/fcntl.h netrek.h /usr/include/stdlib.h \
 /usr/include/errno.h /usr/include/linux/errno.h \
 /usr/include/asm/errno.h /usr/include/alloca.h version.h Wlib.h \
 defs.h copyright.h struct.h data.h packets.h distress.h protos.h
defwin.o: defwin.c
detonate.o: detonate.c copyright.h /usr/include/stdio.h \
 /usr/include/features.h /usr/include/sys/cdefs.h /usr/include/libio.h \
 /usr/include/_G_config.h /usr/include/sys/types.h \
 /usr/include/linux/types.h /usr/include/linux/posix_types.h \
 /usr/include/asm/posix_types.h /usr/include/asm/types.h \
 /usr/include/sys/bitypes.h netrek.h /usr/include/stdlib.h \
 /usr/lib/gcc-lib/i386-linux/2.7.2.1/include/stddef.h \
 /usr/include/errno.h /usr/include/linux/errno.h \
 /usr/include/asm/errno.h /usr/include/alloca.h version.h Wlib.h \
 copyright2.h defs.h struct.h data.h packets.h distress.h protos.h
dmessage.o: dmessage.c copyright.h /usr/include/stdio.h \
 /usr/include/features.h /usr/include/sys/cdefs.h /usr/include/libio.h \
 /usr/include/_G_config.h /usr/include/string.h \
 /usr/lib/gcc-lib/i386-linux/2.7.2.1/include/stddef.h \
 /usr/include/strings.h /usr/include/math.h /usr/include/huge_val.h \
 /usr/include/endian.h /usr/include/bytesex.h /usr/include/nan.h \
 /usr/lib/gcc-lib/i386-linux/2.7.2.1/include/float.h \
 /usr/include/values.h /usr/include/ieee754.h \
 /usr/include/i386/ieeefp.h /usr/include/ieee854.h netrek.h \
 /usr/include/stdlib.h /usr/include/errno.h /usr/include/linux/errno.h \
 /usr/include/asm/errno.h /usr/include/alloca.h version.h Wlib.h \
 copyright2.h defs.h /usr/include/sys/types.h \
 /usr/include/linux/types.h /usr/include/linux/posix_types.h \
 /usr/include/asm/posix_types.h /usr/include/asm/types.h \
 /usr/include/sys/bitypes.h struct.h data.h packets.h distress.h \
 protos.h
enter.o: enter.c copyright.h /usr/include/stdio.h \
 /usr/include/features.h /usr/include/sys/cdefs.h /usr/include/libio.h \
 /usr/include/_G_config.h /usr/include/sys/types.h \
 /usr/include/linux/types.h /usr/include/linux/posix_types.h \
 /usr/include/asm/posix_types.h /usr/include/asm/types.h \
 /usr/include/sys/bitypes.h /usr/include/errno.h \
 /usr/include/linux/errno.h /usr/include/asm/errno.h \
 /usr/include/pwd.h /usr/include/gnu/types.h /usr/include/string.h \
 /usr/lib/gcc-lib/i386-linux/2.7.2.1/include/stddef.h \
 /usr/include/ctype.h /usr/include/endian.h /usr/include/bytesex.h \
 netrek.h /usr/include/stdlib.h /usr/include/alloca.h version.h Wlib.h \
 copyright2.h defs.h struct.h data.h packets.h distress.h protos.h
entrywin.o: entrywin.c copyright.h /usr/include/stdio.h \
 /usr/include/features.h /usr/include/sys/cdefs.h /usr/include/libio.h \
 /usr/include/_G_config.h /usr/include/string.h \
 /usr/lib/gcc-lib/i386-linux/2.7.2.1/include/stddef.h \
 /usr/include/math.h /usr/include/huge_val.h /usr/include/endian.h \
 /usr/include/bytesex.h /usr/include/nan.h \
 /usr/lib/gcc-lib/i386-linux/2.7.2.1/include/float.h \
 /usr/include/values.h /usr/include/ieee754.h \
 /usr/include/i386/ieeefp.h /usr/include/ieee854.h \
 /usr/include/signal.h /usr/include/sys/types.h \
 /usr/include/linux/types.h /usr/include/linux/posix_types.h \
 /usr/include/asm/posix_types.h /usr/include/asm/types.h \
 /usr/include/sys/bitypes.h /usr/include/linux/signal.h \
 /usr/include/asm/signal.h /usr/include/sys/time.h \
 /usr/include/linux/time.h /usr/include/time.h netrek.h \
 /usr/include/stdlib.h /usr/include/errno.h /usr/include/linux/errno.h \
 /usr/include/asm/errno.h /usr/include/alloca.h version.h Wlib.h \
 copyright2.h defs.h struct.h data.h packets.h distress.h protos.h \
 bitmaps/clockbitmap.h recorder.h
findslot.o: findslot.c copyright2.h /usr/include/stdio.h \
 /usr/include/features.h /usr/include/sys/cdefs.h /usr/include/libio.h \
 /usr/include/_G_config.h /usr/include/sys/types.h \
 /usr/include/linux/types.h /usr/include/linux/posix_types.h \
 /usr/include/asm/posix_types.h /usr/include/asm/types.h \
 /usr/include/sys/bitypes.h /usr/include/errno.h \
 /usr/include/linux/errno.h /usr/include/asm/errno.h \
 /usr/include/pwd.h /usr/include/gnu/types.h /usr/include/string.h \
 /usr/lib/gcc-lib/i386-linux/2.7.2.1/include/stddef.h \
 /usr/include/ctype.h /usr/include/endian.h /usr/include/bytesex.h \
 /usr/include/sys/time.h /usr/include/linux/time.h /usr/include/time.h \
 netrek.h /usr/include/stdlib.h /usr/include/alloca.h version.h Wlib.h \
 defs.h copyright.h struct.h data.h packets.h distress.h protos.h
getdefaults.o: getdefaults.c copyright2.h /usr/include/stdio.h \
 /usr/include/features.h /usr/include/sys/cdefs.h /usr/include/libio.h \
 /usr/include/_G_config.h /usr/include/time.h /usr/include/sys/time.h \
 /usr/include/linux/types.h /usr/include/linux/posix_types.h \
 /usr/include/asm/posix_types.h /usr/include/asm/types.h \
 /usr/include/linux/time.h /usr/include/sys/types.h \
 /usr/include/sys/bitypes.h /usr/include/string.h \
 /usr/lib/gcc-lib/i386-linux/2.7.2.1/include/stddef.h netrek.h \
 /usr/include/stdlib.h /usr/include/errno.h /usr/include/linux/errno.h \
 /usr/include/asm/errno.h /usr/include/alloca.h version.h Wlib.h \
 defs.h copyright.h struct.h data.h packets.h distress.h protos.h \
 recorder.h
getname.o: getname.c copyright2.h /usr/include/stdio.h \
 /usr/include/features.h /usr/include/sys/cdefs.h /usr/include/libio.h \
 /usr/include/_G_config.h /usr/include/sys/types.h \
 /usr/include/linux/types.h /usr/include/linux/posix_types.h \
 /usr/include/asm/posix_types.h /usr/include/asm/types.h \
 /usr/include/sys/bitypes.h /usr/include/sys/stat.h \
 /usr/include/linux/stat.h /usr/include/sys/file.h \
 /usr/include/fcntl.h /usr/include/gnu/types.h \
 /usr/include/linux/fcntl.h /usr/include/asm/fcntl.h \
 /usr/include/sys/time.h /usr/include/linux/time.h /usr/include/time.h \
 /usr/include/errno.h /usr/include/linux/errno.h \
 /usr/include/asm/errno.h /usr/include/pwd.h /usr/include/string.h \
 /usr/lib/gcc-lib/i386-linux/2.7.2.1/include/stddef.h \
 /usr/include/ctype.h /usr/include/endian.h /usr/include/bytesex.h \
 netrek.h /usr/include/stdlib.h /usr/include/alloca.h version.h Wlib.h \
 defs.h copyright.h struct.h data.h packets.h distress.h protos.h
getship.o: getship.c copyright.h /usr/include/stdio.h \
 /usr/include/features.h /usr/include/sys/cdefs.h /usr/include/libio.h \
 /usr/include/_G_config.h /usr/include/values.h \
 /usr/include/sys/types.h /usr/include/linux/types.h \
 /usr/include/linux/posix_types.h /usr/include/asm/posix_types.h \
 /usr/include/asm/types.h /usr/include/sys/bitypes.h netrek.h \
 /usr/include/stdlib.h \
 /usr/lib/gcc-lib/i386-linux/2.7.2.1/include/stddef.h \
 /usr/include/errno.h /usr/include/linux/errno.h \
 /usr/include/asm/errno.h /usr/include/alloca.h version.h Wlib.h \
 copyright2.h defs.h struct.h data.h packets.h distress.h protos.h
helpwin.o: helpwin.c /usr/include/stdio.h /usr/include/features.h \
 /usr/include/sys/cdefs.h /usr/include/libio.h \
 /usr/include/_G_config.h /usr/include/string.h \
 /usr/lib/gcc-lib/i386-linux/2.7.2.1/include/stddef.h \
 /usr/include/math.h /usr/include/huge_val.h /usr/include/endian.h \
 /usr/include/bytesex.h /usr/include/nan.h \
 /usr/lib/gcc-lib/i386-linux/2.7.2.1/include/float.h \
 /usr/include/values.h /usr/include/ieee754.h \
 /usr/include/i386/ieeefp.h /usr/include/ieee854.h \
 /usr/include/signal.h /usr/include/sys/types.h \
 /usr/include/linux/types.h /usr/include/linux/posix_types.h \
 /usr/include/asm/posix_types.h /usr/include/asm/types.h \
 /usr/include/sys/bitypes.h /usr/include/linux/signal.h \
 /usr/include/asm/signal.h /usr/include/sys/time.h \
 /usr/include/linux/time.h /usr/include/time.h netrek.h \
 /usr/include/stdlib.h /usr/include/errno.h /usr/include/linux/errno.h \
 /usr/include/asm/errno.h /usr/include/alloca.h version.h Wlib.h \
 copyright2.h defs.h copyright.h struct.h data.h packets.h distress.h \
 protos.h
inform.o: inform.c copyright.h /usr/include/stdio.h \
 /usr/include/features.h /usr/include/sys/cdefs.h /usr/include/libio.h \
 /usr/include/_G_config.h /usr/include/math.h /usr/include/huge_val.h \
 /usr/include/endian.h /usr/include/bytesex.h /usr/include/nan.h \
 /usr/lib/gcc-lib/i386-linux/2.7.2.1/include/float.h \
 /usr/include/values.h /usr/include/ieee754.h \
 /usr/include/i386/ieeefp.h /usr/include/ieee854.h \
 /usr/include/signal.h /usr/include/sys/types.h \
 /usr/include/linux/types.h /usr/include/linux/posix_types.h \
 /usr/include/asm/posix_types.h /usr/include/asm/types.h \
 /usr/include/sys/bitypes.h /usr/include/linux/signal.h \
 /usr/include/asm/signal.h netrek.h /usr/include/stdlib.h \
 /usr/lib/gcc-lib/i386-linux/2.7.2.1/include/stddef.h \
 /usr/include/errno.h /usr/include/linux/errno.h \
 /usr/include/asm/errno.h /usr/include/alloca.h version.h Wlib.h \
 copyright2.h defs.h struct.h data.h packets.h distress.h protos.h
input.o: input.c copyright.h /usr/include/stdio.h \
 /usr/include/features.h /usr/include/sys/cdefs.h /usr/include/libio.h \
 /usr/include/_G_config.h /usr/include/string.h \
 /usr/lib/gcc-lib/i386-linux/2.7.2.1/include/stddef.h \
 /usr/include/math.h /usr/include/huge_val.h /usr/include/endian.h \
 /usr/include/bytesex.h /usr/include/nan.h \
 /usr/lib/gcc-lib/i386-linux/2.7.2.1/include/float.h \
 /usr/include/values.h /usr/include/ieee754.h \
 /usr/include/i386/ieeefp.h /usr/include/ieee854.h \
 /usr/include/sys/types.h /usr/include/linux/types.h \
 /usr/include/linux/posix_types.h /usr/include/asm/posix_types.h \
 /usr/include/asm/types.h /usr/include/sys/bitypes.h \
 /usr/include/sys/time.h /usr/include/linux/time.h /usr/include/time.h \
 /usr/include/signal.h /usr/include/linux/signal.h \
 /usr/include/asm/signal.h /usr/include/errno.h \
 /usr/include/linux/errno.h /usr/include/asm/errno.h netrek.h \
 /usr/include/stdlib.h /usr/include/alloca.h version.h Wlib.h \
 copyright2.h defs.h struct.h data.h packets.h distress.h protos.h \
 recorder.h
interface.o: interface.c copyright.h /usr/include/stdio.h \
 /usr/include/features.h /usr/include/sys/cdefs.h /usr/include/libio.h \
 /usr/include/_G_config.h /usr/include/math.h /usr/include/huge_val.h \
 /usr/include/endian.h /usr/include/bytesex.h /usr/include/nan.h \
 /usr/lib/gcc-lib/i386-linux/2.7.2.1/include/float.h \
 /usr/include/values.h /usr/include/ieee754.h \
 /usr/include/i386/ieeefp.h /usr/include/ieee854.h \
 /usr/include/sys/types.h /usr/include/linux/types.h \
 /usr/include/linux/posix_types.h /usr/include/asm/posix_types.h \
 /usr/include/asm/types.h /usr/include/sys/bitypes.h \
 /usr/include/sys/time.h /usr/include/linux/time.h /usr/include/time.h \
 /usr/include/sys/timeb.h /usr/include/signal.h \
 /usr/include/linux/signal.h /usr/include/asm/signal.h netrek.h \
 /usr/include/stdlib.h \
 /usr/lib/gcc-lib/i386-linux/2.7.2.1/include/stddef.h \
 /usr/include/errno.h /usr/include/linux/errno.h \
 /usr/include/asm/errno.h /usr/include/alloca.h version.h Wlib.h \
 copyright2.h defs.h struct.h data.h packets.h distress.h protos.h
main.o: main.c copyright.h /usr/include/stdio.h \
 /usr/include/features.h /usr/include/sys/cdefs.h /usr/include/libio.h \
 /usr/include/_G_config.h /usr/include/string.h \
 /usr/lib/gcc-lib/i386-linux/2.7.2.1/include/stddef.h \
 /usr/include/sys/types.h /usr/include/linux/types.h \
 /usr/include/linux/posix_types.h /usr/include/asm/posix_types.h \
 /usr/include/asm/types.h /usr/include/sys/bitypes.h \
 /usr/include/unistd.h /usr/include/posix_opt.h \
 /usr/include/gnu/types.h /usr/include/confname.h /usr/include/fcntl.h \
 /usr/include/linux/fcntl.h /usr/include/asm/fcntl.h \
 /usr/include/signal.h /usr/include/linux/signal.h \
 /usr/include/asm/signal.h /usr/include/setjmp.h \
 /usr/include/jmp_buf.h /usr/include/i386/jmp_buf.h /usr/include/pwd.h \
 /usr/include/sys/time.h /usr/include/linux/time.h /usr/include/time.h \
 /usr/include/sys/wait.h /usr/include/waitflags.h \
 /usr/include/linux/wait.h /usr/include/waitstatus.h \
 /usr/include/endian.h /usr/include/bytesex.h /usr/include/sys/file.h \
 netrek.h /usr/include/stdlib.h /usr/include/errno.h \
 /usr/include/linux/errno.h /usr/include/asm/errno.h \
 /usr/include/alloca.h version.h Wlib.h copyright2.h defs.h struct.h \
 data.h packets.h distress.h protos.h recorder.h
mkdefault.o: mkdefault.c copyright2.h /usr/include/stdio.h \
 /usr/include/features.h /usr/include/sys/cdefs.h /usr/include/libio.h \
 /usr/include/_G_config.h /usr/include/unistd.h \
 /usr/include/posix_opt.h /usr/include/gnu/types.h \
 /usr/lib/gcc-lib/i386-linux/2.7.2.1/include/stddef.h \
 /usr/include/confname.h /usr/include/sys/types.h \
 /usr/include/linux/types.h /usr/include/linux/posix_types.h \
 /usr/include/asm/posix_types.h /usr/include/asm/types.h \
 /usr/include/sys/bitypes.h /usr/include/string.h /usr/include/ctype.h \
 /usr/include/endian.h /usr/include/bytesex.h netrek.h \
 /usr/include/stdlib.h /usr/include/errno.h /usr/include/linux/errno.h \
 /usr/include/asm/errno.h /usr/include/alloca.h version.h Wlib.h \
 defs.h copyright.h struct.h data.h packets.h distress.h protos.h
motdwin.o: motdwin.c /usr/include/stdio.h /usr/include/features.h \
 /usr/include/sys/cdefs.h /usr/include/libio.h \
 /usr/include/_G_config.h /usr/include/math.h /usr/include/huge_val.h \
 /usr/include/endian.h /usr/include/bytesex.h /usr/include/nan.h \
 /usr/lib/gcc-lib/i386-linux/2.7.2.1/include/float.h \
 /usr/include/values.h /usr/include/ieee754.h \
 /usr/include/i386/ieeefp.h /usr/include/ieee854.h \
 /usr/include/signal.h /usr/include/sys/types.h \
 /usr/include/linux/types.h /usr/include/linux/posix_types.h \
 /usr/include/asm/posix_types.h /usr/include/asm/types.h \
 /usr/include/sys/bitypes.h /usr/include/linux/signal.h \
 /usr/include/asm/signal.h /usr/include/sys/time.h \
 /usr/include/linux/time.h /usr/include/time.h /usr/include/strings.h \
 /usr/include/string.h \
 /usr/lib/gcc-lib/i386-linux/2.7.2.1/include/stddef.h netrek.h \
 /usr/include/stdlib.h /usr/include/errno.h /usr/include/linux/errno.h \
 /usr/include/asm/errno.h /usr/include/alloca.h version.h Wlib.h \
 copyright2.h defs.h copyright.h struct.h data.h packets.h distress.h \
 protos.h
newwin.o: newwin.c copyright.h /usr/include/stdio.h \
 /usr/include/features.h /usr/include/sys/cdefs.h /usr/include/libio.h \
 /usr/include/_G_config.h /usr/include/math.h /usr/include/huge_val.h \
 /usr/include/endian.h /usr/include/bytesex.h /usr/include/nan.h \
 /usr/lib/gcc-lib/i386-linux/2.7.2.1/include/float.h \
 /usr/include/values.h /usr/include/ieee754.h \
 /usr/include/i386/ieeefp.h /usr/include/ieee854.h \
 /usr/include/signal.h /usr/include/sys/types.h \
 /usr/include/linux/types.h /usr/include/linux/posix_types.h \
 /usr/include/asm/posix_types.h /usr/include/asm/types.h \
 /usr/include/sys/bitypes.h /usr/include/linux/signal.h \
 /usr/include/asm/signal.h /usr/include/sys/time.h \
 /usr/include/linux/time.h /usr/include/time.h netrek.h \
 /usr/include/stdlib.h \
 /usr/lib/gcc-lib/i386-linux/2.7.2.1/include/stddef.h \
 /usr/include/errno.h /usr/include/linux/errno.h \
 /usr/include/asm/errno.h /usr/include/alloca.h version.h Wlib.h \
 copyright2.h defs.h struct.h data.h packets.h distress.h protos.h \
 bitmaps/bitmaps.h bitmaps/shipbitmaps.h bitmaps/miscbitmaps.h \
 bitmaps/oldbitmaps.h bitmaps/shieldbitmaps.h bitmaps/icon.h \
 bitmaps/moobitmaps.h bitmaps/clockbitmap.h
option.o: option.c copyright.h /usr/include/stdio.h \
 /usr/include/features.h /usr/include/sys/cdefs.h /usr/include/libio.h \
 /usr/include/_G_config.h /usr/include/string.h \
 /usr/lib/gcc-lib/i386-linux/2.7.2.1/include/stddef.h \
 /usr/include/ctype.h /usr/include/endian.h /usr/include/bytesex.h \
 netrek.h /usr/include/stdlib.h /usr/include/errno.h \
 /usr/include/linux/errno.h /usr/include/asm/errno.h \
 /usr/include/alloca.h version.h Wlib.h copyright2.h defs.h \
 /usr/include/sys/types.h /usr/include/linux/types.h \
 /usr/include/linux/posix_types.h /usr/include/asm/posix_types.h \
 /usr/include/asm/types.h /usr/include/sys/bitypes.h struct.h data.h \
 packets.h distress.h protos.h recorder.h
ping.o: ping.c copyright2.h /usr/include/stdio.h \
 /usr/include/features.h /usr/include/sys/cdefs.h /usr/include/libio.h \
 /usr/include/_G_config.h /usr/include/sys/types.h \
 /usr/include/linux/types.h /usr/include/linux/posix_types.h \
 /usr/include/asm/posix_types.h /usr/include/asm/types.h \
 /usr/include/sys/bitypes.h /usr/include/sys/time.h \
 /usr/include/linux/time.h /usr/include/time.h \
 /usr/include/netinet/in.h /usr/include/sys/socket.h \
 /usr/include/linux/socket.h /usr/include/asm/socket.h \
 /usr/include/asm/sockios.h /usr/include/linux/sockios.h \
 /usr/include/linux/uio.h /usr/include/linux/in.h \
 /usr/include/asm/byteorder.h /usr/include/math.h \
 /usr/include/huge_val.h /usr/include/endian.h /usr/include/bytesex.h \
 /usr/include/nan.h \
 /usr/lib/gcc-lib/i386-linux/2.7.2.1/include/float.h \
 /usr/include/values.h /usr/include/ieee754.h \
 /usr/include/i386/ieeefp.h /usr/include/ieee854.h \
 /usr/include/errno.h /usr/include/linux/errno.h \
 /usr/include/asm/errno.h netrek.h /usr/include/stdlib.h \
 /usr/lib/gcc-lib/i386-linux/2.7.2.1/include/stddef.h \
 /usr/include/alloca.h version.h Wlib.h defs.h copyright.h struct.h \
 data.h packets.h distress.h protos.h
pingstats.o: pingstats.c copyright.h /usr/include/stdio.h \
 /usr/include/features.h /usr/include/sys/cdefs.h /usr/include/libio.h \
 /usr/include/_G_config.h /usr/include/math.h /usr/include/huge_val.h \
 /usr/include/endian.h /usr/include/bytesex.h /usr/include/nan.h \
 /usr/lib/gcc-lib/i386-linux/2.7.2.1/include/float.h \
 /usr/include/values.h /usr/include/ieee754.h \
 /usr/include/i386/ieeefp.h /usr/include/ieee854.h netrek.h \
 /usr/include/stdlib.h \
 /usr/lib/gcc-lib/i386-linux/2.7.2.1/include/stddef.h \
 /usr/include/errno.h /usr/include/linux/errno.h \
 /usr/include/asm/errno.h /usr/include/alloca.h version.h Wlib.h \
 copyright2.h defs.h /usr/include/sys/types.h \
 /usr/include/linux/types.h /usr/include/linux/posix_types.h \
 /usr/include/asm/posix_types.h /usr/include/asm/types.h \
 /usr/include/sys/bitypes.h struct.h data.h packets.h distress.h \
 protos.h
planetlist.o: planetlist.c copyright.h /usr/include/stdio.h \
 /usr/include/features.h /usr/include/sys/cdefs.h /usr/include/libio.h \
 /usr/include/_G_config.h netrek.h /usr/include/stdlib.h \
 /usr/lib/gcc-lib/i386-linux/2.7.2.1/include/stddef.h \
 /usr/include/errno.h /usr/include/linux/errno.h \
 /usr/include/asm/errno.h /usr/include/alloca.h version.h Wlib.h \
 copyright2.h defs.h /usr/include/sys/types.h \
 /usr/include/linux/types.h /usr/include/linux/posix_types.h \
 /usr/include/asm/posix_types.h /usr/include/asm/types.h \
 /usr/include/sys/bitypes.h struct.h data.h packets.h distress.h \
 protos.h
planets.o: planets.c copyright2.h /usr/include/stdio.h \
 /usr/include/features.h /usr/include/sys/cdefs.h /usr/include/libio.h \
 /usr/include/_G_config.h /usr/include/math.h /usr/include/huge_val.h \
 /usr/include/endian.h /usr/include/bytesex.h /usr/include/nan.h \
 /usr/lib/gcc-lib/i386-linux/2.7.2.1/include/float.h \
 /usr/include/values.h /usr/include/ieee754.h \
 /usr/include/i386/ieeefp.h /usr/include/ieee854.h netrek.h \
 /usr/include/stdlib.h \
 /usr/lib/gcc-lib/i386-linux/2.7.2.1/include/stddef.h \
 /usr/include/errno.h /usr/include/linux/errno.h \
 /usr/include/asm/errno.h /usr/include/alloca.h version.h Wlib.h \
 defs.h copyright.h /usr/include/sys/types.h \
 /usr/include/linux/types.h /usr/include/linux/posix_types.h \
 /usr/include/asm/posix_types.h /usr/include/asm/types.h \
 /usr/include/sys/bitypes.h struct.h data.h packets.h distress.h \
 protos.h
playerlist.o: playerlist.c copyright.h /usr/include/stdio.h \
 /usr/include/features.h /usr/include/sys/cdefs.h /usr/include/libio.h \
 /usr/include/_G_config.h /usr/include/string.h \
 /usr/lib/gcc-lib/i386-linux/2.7.2.1/include/stddef.h \
 /usr/include/stdlib.h /usr/include/errno.h /usr/include/linux/errno.h \
 /usr/include/asm/errno.h /usr/include/alloca.h netrek.h version.h \
 Wlib.h copyright2.h defs.h /usr/include/sys/types.h \
 /usr/include/linux/types.h /usr/include/linux/posix_types.h \
 /usr/include/asm/posix_types.h /usr/include/asm/types.h \
 /usr/include/sys/bitypes.h struct.h data.h packets.h distress.h \
 protos.h recorder.h
ranklist.o: ranklist.c copyright2.h /usr/include/stdio.h \
 /usr/include/features.h /usr/include/sys/cdefs.h /usr/include/libio.h \
 /usr/include/_G_config.h netrek.h /usr/include/stdlib.h \
 /usr/lib/gcc-lib/i386-linux/2.7.2.1/include/stddef.h \
 /usr/include/errno.h /usr/include/linux/errno.h \
 /usr/include/asm/errno.h /usr/include/alloca.h version.h Wlib.h \
 defs.h copyright.h /usr/include/sys/types.h \
 /usr/include/linux/types.h /usr/include/linux/posix_types.h \
 /usr/include/asm/posix_types.h /usr/include/asm/types.h \
 /usr/include/sys/bitypes.h struct.h data.h packets.h distress.h \
 protos.h
redraw.o: redraw.c copyright.h /usr/include/stdio.h \
 /usr/include/features.h /usr/include/sys/cdefs.h /usr/include/libio.h \
 /usr/include/_G_config.h /usr/include/ctype.h /usr/include/endian.h \
 /usr/include/bytesex.h /usr/include/signal.h /usr/include/sys/types.h \
 /usr/include/linux/types.h /usr/include/linux/posix_types.h \
 /usr/include/asm/posix_types.h /usr/include/asm/types.h \
 /usr/include/sys/bitypes.h /usr/include/linux/signal.h \
 /usr/include/asm/signal.h /usr/include/math.h /usr/include/huge_val.h \
 /usr/include/nan.h \
 /usr/lib/gcc-lib/i386-linux/2.7.2.1/include/float.h \
 /usr/include/values.h /usr/include/ieee754.h \
 /usr/include/i386/ieeefp.h /usr/include/ieee854.h /usr/include/time.h \
 /usr/include/sys/time.h /usr/include/linux/time.h netrek.h \
 /usr/include/stdlib.h \
 /usr/lib/gcc-lib/i386-linux/2.7.2.1/include/stddef.h \
 /usr/include/errno.h /usr/include/linux/errno.h \
 /usr/include/asm/errno.h /usr/include/alloca.h version.h Wlib.h \
 copyright2.h defs.h struct.h data.h packets.h distress.h protos.h \
 recorder.h
reserved.o: reserved.c copyright2.h /usr/include/stdio.h \
 /usr/include/features.h /usr/include/sys/cdefs.h /usr/include/libio.h \
 /usr/include/_G_config.h /usr/include/sys/types.h \
 /usr/include/linux/types.h /usr/include/linux/posix_types.h \
 /usr/include/asm/posix_types.h /usr/include/asm/types.h \
 /usr/include/sys/bitypes.h /usr/include/sys/socket.h \
 /usr/include/linux/socket.h /usr/include/asm/socket.h \
 /usr/include/asm/sockios.h /usr/include/linux/sockios.h \
 /usr/include/linux/uio.h /usr/include/netinet/in.h \
 /usr/include/linux/in.h /usr/include/asm/byteorder.h \
 /usr/include/netdb.h /usr/include/paths.h netrek.h \
 /usr/include/stdlib.h \
 /usr/lib/gcc-lib/i386-linux/2.7.2.1/include/stddef.h \
 /usr/include/errno.h /usr/include/linux/errno.h \
 /usr/include/asm/errno.h /usr/include/alloca.h version.h Wlib.h \
 defs.h copyright.h struct.h data.h packets.h distress.h protos.h
rotate.o: rotate.c copyright2.h /usr/include/stdio.h \
 /usr/include/features.h /usr/include/sys/cdefs.h /usr/include/libio.h \
 /usr/include/_G_config.h /usr/include/math.h /usr/include/huge_val.h \
 /usr/include/endian.h /usr/include/bytesex.h /usr/include/nan.h \
 /usr/lib/gcc-lib/i386-linux/2.7.2.1/include/float.h \
 /usr/include/values.h /usr/include/ieee754.h \
 /usr/include/i386/ieeefp.h /usr/include/ieee854.h netrek.h \
 /usr/include/stdlib.h \
 /usr/lib/gcc-lib/i386-linux/2.7.2.1/include/stddef.h \
 /usr/include/errno.h /usr/include/linux/errno.h \
 /usr/include/asm/errno.h /usr/include/alloca.h version.h Wlib.h \
 defs.h copyright.h /usr/include/sys/types.h \
 /usr/include/linux/types.h /usr/include/linux/posix_types.h \
 /usr/include/asm/posix_types.h /usr/include/asm/types.h \
 /usr/include/sys/bitypes.h struct.h data.h packets.h distress.h \
 protos.h
sintab.o: sintab.c copyright.h
smessage.o: smessage.c copyright.h /usr/include/stdio.h \
 /usr/include/features.h /usr/include/sys/cdefs.h /usr/include/libio.h \
 /usr/include/_G_config.h /usr/include/math.h /usr/include/huge_val.h \
 /usr/include/endian.h /usr/include/bytesex.h /usr/include/nan.h \
 /usr/lib/gcc-lib/i386-linux/2.7.2.1/include/float.h \
 /usr/include/values.h /usr/include/ieee754.h \
 /usr/include/i386/ieeefp.h /usr/include/ieee854.h \
 /usr/include/signal.h /usr/include/sys/types.h \
 /usr/include/linux/types.h /usr/include/linux/posix_types.h \
 /usr/include/asm/posix_types.h /usr/include/asm/types.h \
 /usr/include/sys/bitypes.h /usr/include/linux/signal.h \
 /usr/include/asm/signal.h /usr/include/ctype.h netrek.h \
 /usr/include/stdlib.h \
 /usr/lib/gcc-lib/i386-linux/2.7.2.1/include/stddef.h \
 /usr/include/errno.h /usr/include/linux/errno.h \
 /usr/include/asm/errno.h /usr/include/alloca.h version.h Wlib.h \
 copyright2.h defs.h struct.h data.h packets.h distress.h protos.h
socket.o: socket.c copyright2.h /usr/include/stdio.h \
 /usr/include/features.h /usr/include/sys/cdefs.h /usr/include/libio.h \
 /usr/include/_G_config.h /usr/include/sys/types.h \
 /usr/include/linux/types.h /usr/include/linux/posix_types.h \
 /usr/include/asm/posix_types.h /usr/include/asm/types.h \
 /usr/include/sys/bitypes.h /usr/include/sys/socket.h \
 /usr/include/linux/socket.h /usr/include/asm/socket.h \
 /usr/include/asm/sockios.h /usr/include/linux/sockios.h \
 /usr/include/linux/uio.h /usr/include/sys/time.h \
 /usr/include/linux/time.h /usr/include/time.h \
 /usr/include/netinet/in.h /usr/include/linux/in.h \
 /usr/include/asm/byteorder.h /usr/include/netinet/tcp.h \
 /usr/include/netinet/ip_tcp.h /usr/include/endian.h \
 /usr/include/bytesex.h /usr/include/netdb.h /usr/include/paths.h \
 /usr/include/arpa/inet.h /usr/include/sys/param.h \
 /usr/lib/gcc-lib/i386-linux/2.7.2.1/include/limits.h \
 /usr/lib/gcc-lib/i386-linux/2.7.2.1/include/syslimits.h \
 /usr/include/limits.h /usr/include/posix1_lim.h \
 /usr/include/linux/limits.h /usr/include/linux/param.h \
 /usr/include/asm/param.h /usr/include/math.h /usr/include/huge_val.h \
 /usr/include/nan.h \
 /usr/lib/gcc-lib/i386-linux/2.7.2.1/include/float.h \
 /usr/include/values.h /usr/include/ieee754.h \
 /usr/include/i386/ieeefp.h /usr/include/ieee854.h \
 /usr/include/errno.h /usr/include/linux/errno.h \
 /usr/include/asm/errno.h netrek.h /usr/include/stdlib.h \
 /usr/lib/gcc-lib/i386-linux/2.7.2.1/include/stddef.h \
 /usr/include/alloca.h version.h Wlib.h defs.h copyright.h struct.h \
 data.h packets.h distress.h protos.h sp.h recorder.h
stats.o: stats.c copyright.h /usr/include/stdio.h \
 /usr/include/features.h /usr/include/sys/cdefs.h /usr/include/libio.h \
 /usr/include/_G_config.h netrek.h /usr/include/stdlib.h \
 /usr/lib/gcc-lib/i386-linux/2.7.2.1/include/stddef.h \
 /usr/include/errno.h /usr/include/linux/errno.h \
 /usr/include/asm/errno.h /usr/include/alloca.h version.h Wlib.h \
 copyright2.h defs.h /usr/include/sys/types.h \
 /usr/include/linux/types.h /usr/include/linux/posix_types.h \
 /usr/include/asm/posix_types.h /usr/include/asm/types.h \
 /usr/include/sys/bitypes.h struct.h data.h packets.h distress.h \
 protos.h
udpopt.o: udpopt.c copyright.h /usr/include/stdio.h \
 /usr/include/features.h /usr/include/sys/cdefs.h /usr/include/libio.h \
 /usr/include/_G_config.h /usr/include/string.h \
 /usr/lib/gcc-lib/i386-linux/2.7.2.1/include/stddef.h \
 /usr/include/ctype.h /usr/include/endian.h /usr/include/bytesex.h \
 netrek.h /usr/include/stdlib.h /usr/include/errno.h \
 /usr/include/linux/errno.h /usr/include/asm/errno.h \
 /usr/include/alloca.h version.h Wlib.h copyright2.h defs.h \
 /usr/include/sys/types.h /usr/include/linux/types.h \
 /usr/include/linux/posix_types.h /usr/include/asm/posix_types.h \
 /usr/include/asm/types.h /usr/include/sys/bitypes.h struct.h data.h \
 packets.h distress.h protos.h
util.o: util.c copyright.h /usr/include/stdio.h \
 /usr/include/features.h /usr/include/sys/cdefs.h /usr/include/libio.h \
 /usr/include/_G_config.h /usr/include/math.h /usr/include/huge_val.h \
 /usr/include/endian.h /usr/include/bytesex.h /usr/include/nan.h \
 /usr/lib/gcc-lib/i386-linux/2.7.2.1/include/float.h \
 /usr/include/values.h /usr/include/ieee754.h \
 /usr/include/i386/ieeefp.h /usr/include/ieee854.h \
 /usr/include/signal.h /usr/include/sys/types.h \
 /usr/include/linux/types.h /usr/include/linux/posix_types.h \
 /usr/include/asm/posix_types.h /usr/include/asm/types.h \
 /usr/include/sys/bitypes.h /usr/include/linux/signal.h \
 /usr/include/asm/signal.h netrek.h /usr/include/stdlib.h \
 /usr/lib/gcc-lib/i386-linux/2.7.2.1/include/stddef.h \
 /usr/include/errno.h /usr/include/linux/errno.h \
 /usr/include/asm/errno.h /usr/include/alloca.h version.h Wlib.h \
 copyright2.h defs.h struct.h data.h packets.h distress.h protos.h
war.o: war.c copyright.h /usr/include/stdio.h /usr/include/features.h \
 /usr/include/sys/cdefs.h /usr/include/libio.h \
 /usr/include/_G_config.h /usr/include/math.h /usr/include/huge_val.h \
 /usr/include/endian.h /usr/include/bytesex.h /usr/include/nan.h \
 /usr/lib/gcc-lib/i386-linux/2.7.2.1/include/float.h \
 /usr/include/values.h /usr/include/ieee754.h \
 /usr/include/i386/ieeefp.h /usr/include/ieee854.h \
 /usr/include/signal.h /usr/include/sys/types.h \
 /usr/include/linux/types.h /usr/include/linux/posix_types.h \
 /usr/include/asm/posix_types.h /usr/include/asm/types.h \
 /usr/include/sys/bitypes.h /usr/include/linux/signal.h \
 /usr/include/asm/signal.h netrek.h /usr/include/stdlib.h \
 /usr/lib/gcc-lib/i386-linux/2.7.2.1/include/stddef.h \
 /usr/include/errno.h /usr/include/linux/errno.h \
 /usr/include/asm/errno.h /usr/include/alloca.h version.h Wlib.h \
 copyright2.h defs.h struct.h data.h packets.h distress.h protos.h
warning.o: warning.c copyright.h /usr/include/stdio.h \
 /usr/include/features.h /usr/include/sys/cdefs.h /usr/include/libio.h \
 /usr/include/_G_config.h /usr/include/string.h \
 /usr/lib/gcc-lib/i386-linux/2.7.2.1/include/stddef.h \
 /usr/include/math.h /usr/include/huge_val.h /usr/include/endian.h \
 /usr/include/bytesex.h /usr/include/nan.h \
 /usr/lib/gcc-lib/i386-linux/2.7.2.1/include/float.h \
 /usr/include/values.h /usr/include/ieee754.h \
 /usr/include/i386/ieeefp.h /usr/include/ieee854.h \
 /usr/include/signal.h /usr/include/sys/types.h \
 /usr/include/linux/types.h /usr/include/linux/posix_types.h \
 /usr/include/asm/posix_types.h /usr/include/asm/types.h \
 /usr/include/sys/bitypes.h /usr/include/linux/signal.h \
 /usr/include/asm/signal.h netrek.h /usr/include/stdlib.h \
 /usr/include/errno.h /usr/include/linux/errno.h \
 /usr/include/asm/errno.h /usr/include/alloca.h version.h Wlib.h \
 copyright2.h defs.h struct.h data.h packets.h distress.h protos.h
x11window.o: x11window.c /usr/include/stdio.h /usr/include/features.h \
 /usr/include/sys/cdefs.h /usr/include/libio.h \
 /usr/include/_G_config.h /usr/include/string.h \
 /usr/lib/gcc-lib/i386-linux/2.7.2.1/include/stddef.h \
 /usr/include/ctype.h /usr/include/endian.h /usr/include/bytesex.h \
 /usr/X11R6/include/X11/Xlib.h /usr/include/sys/types.h \
 /usr/include/linux/types.h /usr/include/linux/posix_types.h \
 /usr/include/asm/posix_types.h /usr/include/asm/types.h \
 /usr/include/sys/bitypes.h /usr/X11R6/include/X11/X.h \
 /usr/X11R6/include/X11/Xfuncproto.h /usr/X11R6/include/X11/Xosdefs.h \
 /usr/X11R6/include/X11/Xutil.h /usr/X11R6/include/X11/Xatom.h \
 /usr/X11R6/include/X11/cursorfont.h /usr/include/sys/time.h \
 /usr/include/linux/time.h /usr/include/time.h \
 /usr/include/netinet/in.h /usr/include/sys/socket.h \
 /usr/include/linux/socket.h /usr/include/asm/socket.h \
 /usr/include/asm/sockios.h /usr/include/linux/sockios.h \
 /usr/include/linux/uio.h /usr/include/linux/in.h \
 /usr/include/asm/byteorder.h /usr/include/netinet/tcp.h \
 /usr/include/netinet/ip_tcp.h /usr/include/assert.h netrek.h \
 /usr/include/stdlib.h /usr/include/errno.h /usr/include/linux/errno.h \
 /usr/include/asm/errno.h /usr/include/alloca.h version.h Wlib.h \
 copyright2.h defs.h copyright.h struct.h data.h packets.h distress.h \
 protos.h
netstat.o: netstat.c copyright2.h /usr/include/stdio.h \
 /usr/include/features.h /usr/include/sys/cdefs.h /usr/include/libio.h \
 /usr/include/_G_config.h /usr/include/sys/types.h \
 /usr/include/linux/types.h /usr/include/linux/posix_types.h \
 /usr/include/asm/posix_types.h /usr/include/asm/types.h \
 /usr/include/sys/bitypes.h /usr/include/sys/socket.h \
 /usr/include/linux/socket.h /usr/include/asm/socket.h \
 /usr/include/asm/sockios.h /usr/include/linux/sockios.h \
 /usr/include/linux/uio.h /usr/include/sys/time.h \
 /usr/include/linux/time.h /usr/include/time.h \
 /usr/include/netinet/in.h /usr/include/linux/in.h \
 /usr/include/asm/byteorder.h /usr/include/netinet/tcp.h \
 /usr/include/netinet/ip_tcp.h /usr/include/endian.h \
 /usr/include/bytesex.h /usr/include/netdb.h /usr/include/paths.h \
 /usr/include/math.h /usr/include/huge_val.h /usr/include/nan.h \
 /usr/lib/gcc-lib/i386-linux/2.7.2.1/include/float.h \
 /usr/include/values.h /usr/include/ieee754.h \
 /usr/include/i386/ieeefp.h /usr/include/ieee854.h \
 /usr/include/errno.h /usr/include/linux/errno.h \
 /usr/include/asm/errno.h netrek.h /usr/include/stdlib.h \
 /usr/lib/gcc-lib/i386-linux/2.7.2.1/include/stddef.h \
 /usr/include/alloca.h version.h Wlib.h defs.h copyright.h struct.h \
 data.h packets.h distress.h protos.h
lagmeter.o: lagmeter.c copyright.h /usr/include/stdio.h \
 /usr/include/features.h /usr/include/sys/cdefs.h /usr/include/libio.h \
 /usr/include/_G_config.h /usr/include/ctype.h /usr/include/endian.h \
 /usr/include/bytesex.h netrek.h /usr/include/stdlib.h \
 /usr/lib/gcc-lib/i386-linux/2.7.2.1/include/stddef.h \
 /usr/include/errno.h /usr/include/linux/errno.h \
 /usr/include/asm/errno.h /usr/include/alloca.h version.h Wlib.h \
 copyright2.h defs.h /usr/include/sys/types.h \
 /usr/include/linux/types.h /usr/include/linux/posix_types.h \
 /usr/include/asm/posix_types.h /usr/include/asm/types.h \
 /usr/include/sys/bitypes.h struct.h data.h packets.h distress.h \
 protos.h
rsa_box.o: rsa_box.c /usr/include/stdio.h /usr/include/features.h \
 /usr/include/sys/cdefs.h /usr/include/libio.h \
 /usr/include/_G_config.h ../gmp-1.3.2/gmp.h \
 /usr/lib/gcc-lib/i386-linux/2.7.2.1/include/stddef.h
rsa_box_0.o: rsa_box_0.c ../gmp-1.3.2/gmp.h \
 /usr/lib/gcc-lib/i386-linux/2.7.2.1/include/stddef.h
rsa_box_1.o: rsa_box_1.c ../gmp-1.3.2/gmp.h \
 /usr/lib/gcc-lib/i386-linux/2.7.2.1/include/stddef.h
rsa_box_2.o: rsa_box_2.c ../gmp-1.3.2/gmp.h \
 /usr/lib/gcc-lib/i386-linux/2.7.2.1/include/stddef.h
rsa_box_3.o: rsa_box_3.c ../gmp-1.3.2/gmp.h \
 /usr/lib/gcc-lib/i386-linux/2.7.2.1/include/stddef.h
rsa_box_4.o: rsa_box_4.c ../gmp-1.3.2/gmp.h \
 /usr/lib/gcc-lib/i386-linux/2.7.2.1/include/stddef.h
feature.o: feature.c /usr/include/stdio.h /usr/include/features.h \
 /usr/include/sys/cdefs.h /usr/include/libio.h \
 /usr/include/_G_config.h /usr/include/ctype.h /usr/include/endian.h \
 /usr/include/bytesex.h /usr/include/sys/types.h \
 /usr/include/linux/types.h /usr/include/linux/posix_types.h \
 /usr/include/asm/posix_types.h /usr/include/asm/types.h \
 /usr/include/sys/bitypes.h /usr/include/netinet/in.h \
 /usr/include/sys/socket.h /usr/include/linux/socket.h \
 /usr/include/asm/socket.h /usr/include/asm/sockios.h \
 /usr/include/linux/sockios.h /usr/include/linux/uio.h \
 /usr/include/linux/in.h /usr/include/asm/byteorder.h copyright.h \
 netrek.h /usr/include/stdlib.h \
 /usr/lib/gcc-lib/i386-linux/2.7.2.1/include/stddef.h \
 /usr/include/errno.h /usr/include/linux/errno.h \
 /usr/include/asm/errno.h /usr/include/alloca.h version.h Wlib.h \
 copyright2.h defs.h struct.h data.h packets.h distress.h protos.h \
 recorder.h
feature_old.o: feature_old.c copyright.h /usr/include/stdio.h \
 /usr/include/features.h /usr/include/sys/cdefs.h /usr/include/libio.h \
 /usr/include/_G_config.h /usr/include/string.h \
 /usr/lib/gcc-lib/i386-linux/2.7.2.1/include/stddef.h \
 /usr/include/math.h /usr/include/huge_val.h /usr/include/endian.h \
 /usr/include/bytesex.h /usr/include/nan.h \
 /usr/lib/gcc-lib/i386-linux/2.7.2.1/include/float.h \
 /usr/include/values.h /usr/include/ieee754.h \
 /usr/include/i386/ieeefp.h /usr/include/ieee854.h \
 /usr/include/sys/time.h /usr/include/linux/types.h \
 /usr/include/linux/posix_types.h /usr/include/asm/posix_types.h \
 /usr/include/asm/types.h /usr/include/linux/time.h \
 /usr/include/time.h /usr/include/sys/types.h \
 /usr/include/sys/bitypes.h netrek.h /usr/include/stdlib.h \
 /usr/include/errno.h /usr/include/linux/errno.h \
 /usr/include/asm/errno.h /usr/include/alloca.h version.h Wlib.h \
 copyright2.h defs.h struct.h data.h packets.h distress.h protos.h
macrowin.o: macrowin.c /usr/include/stdio.h /usr/include/features.h \
 /usr/include/sys/cdefs.h /usr/include/libio.h \
 /usr/include/_G_config.h /usr/include/string.h \
 /usr/lib/gcc-lib/i386-linux/2.7.2.1/include/stddef.h \
 /usr/include/math.h /usr/include/huge_val.h /usr/include/endian.h \
 /usr/include/bytesex.h /usr/include/nan.h \
 /usr/lib/gcc-lib/i386-linux/2.7.2.1/include/float.h \
 /usr/include/values.h /usr/include/ieee754.h \
 /usr/include/i386/ieeefp.h /usr/include/ieee854.h \
 /usr/include/signal.h /usr/include/sys/types.h \
 /usr/include/linux/types.h /usr/include/linux/posix_types.h \
 /usr/include/asm/posix_types.h /usr/include/asm/types.h \
 /usr/include/sys/bitypes.h /usr/include/linux/signal.h \
 /usr/include/asm/signal.h /usr/include/sys/time.h \
 /usr/include/linux/time.h /usr/include/time.h netrek.h \
 /usr/include/stdlib.h /usr/include/errno.h /usr/include/linux/errno.h \
 /usr/include/asm/errno.h /usr/include/alloca.h version.h Wlib.h \
 copyright2.h defs.h copyright.h struct.h data.h packets.h distress.h \
 protos.h
distsend.o: distsend.c copyright.h /usr/include/stdio.h \
 /usr/include/features.h /usr/include/sys/cdefs.h /usr/include/libio.h \
 /usr/include/_G_config.h /usr/include/string.h \
 /usr/lib/gcc-lib/i386-linux/2.7.2.1/include/stddef.h \
 /usr/include/signal.h /usr/include/sys/types.h \
 /usr/include/linux/types.h /usr/include/linux/posix_types.h \
 /usr/include/asm/posix_types.h /usr/include/asm/types.h \
 /usr/include/sys/bitypes.h /usr/include/linux/signal.h \
 /usr/include/asm/signal.h /usr/include/ctype.h /usr/include/endian.h \
 /usr/include/bytesex.h netrek.h /usr/include/stdlib.h \
 /usr/include/errno.h /usr/include/linux/errno.h \
 /usr/include/asm/errno.h /usr/include/alloca.h version.h Wlib.h \
 copyright2.h defs.h struct.h data.h packets.h distress.h protos.h
distress.o: distress.c copyright.h /usr/include/stdio.h \
 /usr/include/features.h /usr/include/sys/cdefs.h /usr/include/libio.h \
 /usr/include/_G_config.h /usr/include/string.h \
 /usr/lib/gcc-lib/i386-linux/2.7.2.1/include/stddef.h \
 /usr/include/signal.h /usr/include/sys/types.h \
 /usr/include/linux/types.h /usr/include/linux/posix_types.h \
 /usr/include/asm/posix_types.h /usr/include/asm/types.h \
 /usr/include/sys/bitypes.h /usr/include/linux/signal.h \
 /usr/include/asm/signal.h /usr/include/ctype.h /usr/include/endian.h \
 /usr/include/bytesex.h netrek.h /usr/include/stdlib.h \
 /usr/include/errno.h /usr/include/linux/errno.h \
 /usr/include/asm/errno.h /usr/include/alloca.h version.h Wlib.h \
 copyright2.h defs.h struct.h data.h packets.h distress.h protos.h
spwarning.o: spwarning.c copyright2.h /usr/include/stdio.h \
 /usr/include/features.h /usr/include/sys/cdefs.h /usr/include/libio.h \
 /usr/include/_G_config.h /usr/include/sys/types.h \
 /usr/include/linux/types.h /usr/include/linux/posix_types.h \
 /usr/include/asm/posix_types.h /usr/include/asm/types.h \
 /usr/include/sys/bitypes.h /usr/include/math.h \
 /usr/include/huge_val.h /usr/include/endian.h /usr/include/bytesex.h \
 /usr/include/nan.h \
 /usr/lib/gcc-lib/i386-linux/2.7.2.1/include/float.h \
 /usr/include/values.h /usr/include/ieee754.h \
 /usr/include/i386/ieeefp.h /usr/include/ieee854.h \
 /usr/include/errno.h /usr/include/linux/errno.h \
 /usr/include/asm/errno.h netrek.h /usr/include/stdlib.h \
 /usr/lib/gcc-lib/i386-linux/2.7.2.1/include/stddef.h \
 /usr/include/alloca.h version.h Wlib.h defs.h copyright.h struct.h \
 data.h packets.h distress.h protos.h sp.h wtext.h
brmh-dashboard.o: brmh-dashboard.c copyright.h /usr/include/stdio.h \
 /usr/include/features.h /usr/include/sys/cdefs.h /usr/include/libio.h \
 /usr/include/_G_config.h netrek.h /usr/include/stdlib.h \
 /usr/lib/gcc-lib/i386-linux/2.7.2.1/include/stddef.h \
 /usr/include/errno.h /usr/include/linux/errno.h \
 /usr/include/asm/errno.h /usr/include/alloca.h version.h Wlib.h \
 copyright2.h defs.h /usr/include/sys/types.h \
 /usr/include/linux/types.h /usr/include/linux/posix_types.h \
 /usr/include/asm/posix_types.h /usr/include/asm/types.h \
 /usr/include/sys/bitypes.h struct.h data.h packets.h distress.h \
 protos.h recorder.h
cow-dashboard.o: cow-dashboard.c copyright.h /usr/include/stdio.h \
 /usr/include/features.h /usr/include/sys/cdefs.h /usr/include/libio.h \
 /usr/include/_G_config.h netrek.h /usr/include/stdlib.h \
 /usr/lib/gcc-lib/i386-linux/2.7.2.1/include/stddef.h \
 /usr/include/errno.h /usr/include/linux/errno.h \
 /usr/include/asm/errno.h /usr/include/alloca.h version.h Wlib.h \
 copyright2.h defs.h /usr/include/sys/types.h \
 /usr/include/linux/types.h /usr/include/linux/posix_types.h \
 /usr/include/asm/posix_types.h /usr/include/asm/types.h \
 /usr/include/sys/bitypes.h struct.h data.h packets.h distress.h \
 protos.h recorder.h
text-dashboard.o: text-dashboard.c copyright.h /usr/include/stdio.h \
 /usr/include/features.h /usr/include/sys/cdefs.h /usr/include/libio.h \
 /usr/include/_G_config.h /usr/include/time.h /usr/include/sys/time.h \
 /usr/include/linux/types.h /usr/include/linux/posix_types.h \
 /usr/include/asm/posix_types.h /usr/include/asm/types.h \
 /usr/include/linux/time.h /usr/include/sys/types.h \
 /usr/include/sys/bitypes.h /usr/include/sys/timeb.h netrek.h \
 /usr/include/stdlib.h \
 /usr/lib/gcc-lib/i386-linux/2.7.2.1/include/stddef.h \
 /usr/include/errno.h /usr/include/linux/errno.h \
 /usr/include/asm/errno.h /usr/include/alloca.h version.h Wlib.h \
 copyright2.h defs.h struct.h data.h packets.h distress.h protos.h \
 recorder.h
metaserver.o: metaserver.c /usr/include/stdio.h \
 /usr/include/features.h /usr/include/sys/cdefs.h /usr/include/libio.h \
 /usr/include/_G_config.h /usr/include/sys/types.h \
 /usr/include/linux/types.h /usr/include/linux/posix_types.h \
 /usr/include/asm/posix_types.h /usr/include/asm/types.h \
 /usr/include/sys/bitypes.h /usr/include/sys/stat.h \
 /usr/include/linux/stat.h /usr/include/errno.h \
 /usr/include/linux/errno.h /usr/include/asm/errno.h \
 /usr/include/pwd.h /usr/include/gnu/types.h /usr/include/string.h \
 /usr/lib/gcc-lib/i386-linux/2.7.2.1/include/stddef.h \
 /usr/include/ctype.h /usr/include/endian.h /usr/include/bytesex.h \
 /usr/include/sys/time.h /usr/include/linux/time.h /usr/include/time.h \
 /usr/include/sys/signal.h /usr/include/signal.h \
 /usr/include/linux/signal.h /usr/include/asm/signal.h \
 /usr/include/sys/socket.h /usr/include/linux/socket.h \
 /usr/include/asm/socket.h /usr/include/asm/sockios.h \
 /usr/include/linux/sockios.h /usr/include/linux/uio.h \
 /usr/include/sys/wait.h /usr/include/waitflags.h \
 /usr/include/linux/wait.h /usr/include/waitstatus.h \
 /usr/include/netinet/in.h /usr/include/linux/in.h \
 /usr/include/asm/byteorder.h /usr/include/arpa/inet.h \
 /usr/include/sys/param.h \
 /usr/lib/gcc-lib/i386-linux/2.7.2.1/include/limits.h \
 /usr/lib/gcc-lib/i386-linux/2.7.2.1/include/syslimits.h \
 /usr/include/limits.h /usr/include/posix1_lim.h \
 /usr/include/linux/limits.h /usr/include/linux/param.h \
 /usr/include/asm/param.h /usr/include/netdb.h /usr/include/paths.h \
 netrek.h /usr/include/stdlib.h /usr/include/alloca.h version.h Wlib.h \
 copyright2.h defs.h copyright.h struct.h data.h packets.h distress.h \
 protos.h
recorder.o: recorder.c /usr/include/stdio.h /usr/include/features.h \
 /usr/include/sys/cdefs.h /usr/include/libio.h \
 /usr/include/_G_config.h /usr/include/unistd.h \
 /usr/include/posix_opt.h /usr/include/gnu/types.h \
 /usr/lib/gcc-lib/i386-linux/2.7.2.1/include/stddef.h \
 /usr/include/confname.h /usr/include/sys/types.h \
 /usr/include/linux/types.h /usr/include/linux/posix_types.h \
 /usr/include/asm/posix_types.h /usr/include/asm/types.h \
 /usr/include/sys/bitypes.h /usr/include/sys/time.h \
 /usr/include/linux/time.h /usr/include/time.h /usr/include/string.h \
 netrek.h /usr/include/stdlib.h /usr/include/errno.h \
 /usr/include/linux/errno.h /usr/include/asm/errno.h \
 /usr/include/alloca.h version.h Wlib.h copyright2.h defs.h \
 copyright.h struct.h data.h packets.h distress.h protos.h recorder.h
